setwd("~/Downloads")
data <- read.csv("train.csv", header = T, na.strings = c("?"))
# data <- data[, -1]
# for(i in 1:dim(data)[2]){data[,i][is.na(data[,i])] <- mean(data[,i], na.rm = TRUE) }
sapply(data,function(x) sum(is.na(x))) 
data <- subset(data,select=c(2,3,4,5,6,7,8,9,10,11)) #deleting first column
data$G[is.na(data$G)] <- mean(data$G,na.rm=T)
data$K <- (data$K/2)-1 #updating 2,4 to 0,1
for(i in 1:dim(data)[2]){data[,i]=as.factor(data[,i])} #converting each column to factor
data_train <- data[1:400, ]
data_test <- data[401:699, ]
model <- glm(data$K ~.,family=binomial(link='logit'),data=data_train) #qlm func.. main func for LR
fitted.results <- predict(model,data_test,type='response') #predicting on other data points
fitted.results <- ifelse(fitted.results > 0.5,1,0)
misClasificError <- mean(fitted.results != test$Survived)
print(paste('Accuracy',1-misClasificError))