library(class)
library(gmodels)

knn_k = 25

setwd(".")
data <- read.csv("bc_dataset.csv", header = F, na.strings = "?")
data <- data[, -1] # Removing the useless id column from the data
for(i in 1:dim(data)[2]){data[,i][is.na(data[,i])] <- mean(data[,i], na.rm = TRUE) } # Replacing the missing values in the data by the respected means of the columns

data_train <- data[,1:dim(data)[2]-1]
data_train_labels <- data[, dim(data)[2]]
data_test <- read.csv("in.csv", header = F)

data_test_pred <- knn(train = data_train, test = data_test, cl = data_train_labels, k = knn_k)
write.csv(data_test_pred, "out.csv")

